Activate a card
curl --request POST \
--url https://api.synctera.com/v1/cards/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activation_code": "<string>",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
'import requests
url = "https://api.synctera.com/v1/cards/activate"
payload = {
"activation_code": "<string>",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activation_code: '<string>',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7'
})
};
fetch('https://api.synctera.com/v1/cards/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_details": {
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"emboss_name": {
"line_1": "Jane Smith",
"line_2": "Acme Inc."
},
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"shipping": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": true,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_time": "2010-05-06T12:23:34.321Z",
"expiration_year": "25",
"is_pin_set": true,
"last_four": "1234",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"reissued_from_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"reissued_to_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"timestamp_pin_set": "2010-05-06T12:23:34.321Z",
"bulk_order_config_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"card_image_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"memo": "<string>",
"pending_reasons": {
"is_waiting_for_bulk_shipment": true,
"is_waiting_for_image": true,
"is_waiting_for_pin": true
},
"fulfillment_details": {
"bulk_order_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"ship_date": "2022-07-19",
"shipping_method": "UPS Next Day Air Saver",
"tracking_number": "1ZW3268W1319325382"
},
"bin": "<string>"
},
"tenant": "abcdef_ghijkl",
"vendor_data": {
"episodesix": {
"card_number": "<string>"
},
"loan_pro": {
"card_id": 123,
"secure_payments_card_uuid": "<string>"
}
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Cards
Activate a card
Activate a card
POST
/
cards
/
activate
Activate a card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
application/json
Card activation code
Response
Card activated successfully
- Credit Card
- Debit Card
A card that can spend against a credit account
A card that can spend against a credit account
- Physical Card
- Virtual Card
Show child attributes
Show child attributes
The id of the tenant containing the resource.
Example:
"abcdef_ghijkl"
The type of the card program and BIN
Available options:
CREDIT, DEBIT, PREPAID Show child attributes
Show child attributes
Was this page helpful?
⌘I

